<?
/** 
 * @Project GoldMU.Net
 * @copyright 03/03/2022
 * @Email: goldmu.net@gmail.com
 * @Zalo: 0923 117 898
 */
 if (!defined('GoldWebMU')) die("Ban khong co quyen truy cap he thong");
include('config/config_lode.php');
$action = $_GET['action'];
switch ($action){ 
	case 'Play_Lode':
		$Play_Type=$_GET['typeplay'];
		$type_money=$_GET['type_money'];
		$num_bet1=$_GET['num_bet1'];
		$num_bet2=$_GET['num_bet2'];
		$num_bet3=$_GET['num_bet3'];
		$num_bet4=$_GET['num_bet4'];
		$num_point=$_GET['num_point'];
		if($Play_Type=='de'){
			$playtypeshow="Đánh Đề";
		 }else if($Play_Type=='lo'){
			$playtypeshow="Đánh Lô";
		 }else if($Play_Type=='loxien2'){
			$playtypeshow="Đánh Lô Xiên 2";
		 }else if($Play_Type=='loxien3'){
			$playtypeshow="Đánh Lô Xiên 3";
		 }else if($Play_Type=='loxien4'){
			$playtypeshow="Đánh Lô Xiên 4";
		 }
		if($num_bet1>0){$num_show1=$num_bet1;}else {$num_show1="";}
		if($num_bet2>0){$num_show2=$num_bet2;}else {$num_show2="";}
		if($num_bet3>0){$num_show3=$num_bet3;}else {$num_show3="";}
		if($num_bet4>0){$num_show4=$num_bet4;}else {$num_show4="";}
        if( $sendsv === false ) { $notice = "Tốc độ xử lý của bạn quá nhanh, vui lòng chờ vài giây rồi tiếp tục thực hiện."; }
		elseif (!isset($Play_Type) OR $Play_Type=="")
			{
				$notice = "Kiểu chơi không được để trống.";
			}
		elseif (preg_match("/[^a-zA-Z1-9$]/", $Play_Type))
			{
				$notice = "Kiểu chơi chỉ được dùng ký tự a-z,1-9."; 
			}
		elseif (!isset($type_money) OR $type_money=="")
			{
				$notice = "Loại tiền tệ không được để trống.";
			}
		elseif (preg_match("/[^a-zA-Z1-9$]/", $type_money))
			{
				$notice = "Loại tiền tệ chỉ được dùng ký tự a-z,1-9."; 
			}
		elseif (!isset($num_point) OR $num_point=="")
			{
				$notice = "Điểm cược không được để trống.";
			}
		elseif (preg_match("/[^0-9$]/", $num_point))
			{
				$notice = "Điểm cược chỉ được dùng ký tự số 0-9."; 
			}
		else {
		
		$getcontent_url = $server_url . "/sv_relax.php";
        $getcontent_data = array(
            'login'    =>  $_SESSION['mu_username'],
            'Play_Type'    =>  $Play_Type,
			'type_money'    =>  $type_money,
            'num_bet1'    =>  $num_bet1,
			'num_bet2'    =>  $num_bet2,
			'num_bet3'    =>  $num_bet3,
			'num_bet4'    =>  $num_bet4,
			'num_point'    =>  $num_point,
            'pagesv'	=>	'sv_relax_ghiso',
            'string_login'    =>  $_SESSION['checklogin'],
            'passtransfer'    =>  $passtransfer
        ); 
        
        $reponse = _getContent($getcontent_url, $getcontent_data, $getcontent_method, $getcontent_curl);
			if ( empty($reponse) ) $notice = "Server bảo trì.";
			elseif($reponse == "login_other") {
				$notice = "<font size='3' color='red'>Tài khoản đã được đăng nhập trên trình duyệt khác hoặc máy tính khác.</font>";
				session_destroy();
			}
			else {
				$info = explode('|',$reponse);
				if ($info[0] == 'OKMEN') {
					$type_money 		= $info[2];
					if($type_money == 'gcoin'){
					$_SESSION['acc_gcoin'] = $info[1];
					}
					if($type_money == 'vpoint'){
					$_SESSION['acc_vpoint'] = $info[1];
					}
					if($type_money == 'chaos'){
					$_SESSION['acc_chao'] = $info[1];
					}
					if($type_money == 'cre'){
					$_SESSION['acc_cre'] = $info[1];
					}
					$notice = "|OK|Bạn vừa ".$playtypeshow." với số ".$num_show1." ".$num_show2." ".$num_show3." ".$num_show4." và cược với số điểm là ".$num_point." chúc bạn may mắn.";
				}
				else $notice = $reponse;
			}
		}
        echo $notice;
	break;
	
	case 'CheckBet':
		$id=$_GET['lode_id'];
		if(empty($id)){
			$notice = "Bạn chưa chọn số cần nhận";
		}else{
			$getcontent_url = $server_url . "/sv_relax.php";
			$getcontent_data = array(
				'login'	=>	$_SESSION['mu_username'],
				'id'	=>	$id,
				'pagesv'	=>	'sv_relax_reward',
				'string_login'    =>  $_SESSION['checklogin'],
				'passtransfer'    =>  $passtransfer
			); 
			$reponse = _getContent($getcontent_url, $getcontent_data, $getcontent_method, $getcontent_curl);
			if ( empty($reponse) ) $notice = "Server bảo trì.";
			elseif($reponse == "login_other") {
				$notice = "<font size='3' color='red'>Tài khoản đã được đăng nhập trên trình duyệt khác hoặc máy tính khác.</font>";
				session_destroy();
			}
			else{
				$info = explode('|',$reponse);
				if ($info[0] == 'OKMEN') {
					$type_money = $info[5];
					if($type_money == 'gcoin'){
					$_SESSION['acc_gcoin'] = $_SESSION['acc_gcoin'] + $info[1];
					}
					if($type_money == 'vpoint'){
					$_SESSION['acc_vpoint'] = $_SESSION['acc_vpoint'] + $info[1];
					}
					if($type_money == 'chaos'){
					$_SESSION['acc_chao'] = $_SESSION['acc_chao'] + $info[1];
					}
					if($type_money == 'cre'){
					$_SESSION['acc_cre'] = $_SESSION['acc_cre'] + $info[1];
					}
					$notice = "|OK|Chúc mừng bạn đã trúng $info[3] : $info[4] bạn vừa nhận được $info[1] $type_money vào tài khoản của bạn !";
						
				}
				else $notice = $reponse;
			}
		}
		echo $notice;
	break;
}



?>